/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.test.aop.jdk15.annotated;

/**
*
* @author <a href="mailto:kabir.khan@jboss.org">Kabir Khan</a>
* @version $Revision: 1.2.8.2 $
*/
public class VariaPOJO
{
   public void methodWithInterceptor()
   {
      System.out.println("POJO methodWithInterceptor");
   }

   public void methodWithInterceptorFactory()
   {
      System.out.println("POJO methodWithInterceptorFactory");
   }

   public void methodWithTypedef()
   {
      System.out.println("POJO methodWithTypedef");
   }
   
   public void cflowMethod1()
   {
      System.out.println("POJO cflowMethod1");
      cflowMethod2();
   }

   public void cflowMethod2()
   {
      System.out.println("POJO cflowMethod2");
      privateMethod();
   }

   public void dynamicCFlowMethod()
   {
      System.out.println("POJO dynamicCFlowMethod");
   }

   
   private void privateMethod()
   {
       System.out.println("POJO privateMethod");
   }

   public void precedenceMethod()
   {
      System.out.println("POJO precedenceMethod");
   }
}
